Skip to main content
GET
/
api
/
v1
/
contacts
/
{id}
/
affiliations
List organizational affiliations for a contact.
curl --request GET \
  --url https://api.backside.app/api/v1/contacts/{id}/affiliations \
  --header 'Authorization: Bearer <token>'
[
  {
    "contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "is_current": true,
    "metadata": "<unknown>",
    "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "updated_at": "2023-11-07T05:31:56Z",
    "department": "<string>",
    "description": "<string>",
    "end_date": "2023-12-25",
    "role": "<string>",
    "start_date": "2023-12-25",
    "title": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Contact ID

Response

200 - application/json

Contact affiliations

contact_id
string<uuid>
required
created_at
string<date-time>
required
id
string<uuid>
required
is_current
boolean
required
metadata
any
required
organization_id
string<uuid>
required
tenant_id
string<uuid>
required
updated_at
string<date-time>
required
department
string | null
description
string | null
end_date
string<date> | null
role
string | null
start_date
string<date> | null
title
string | null